import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Scanner;

public class Oppgave1 {
   public static void main(String[] args) throws FileNotFoundException {
      Scanner lines = new Scanner(new File(args[0])).useDelimiter("\n");
      PrintWriter out = new PrintWriter(new File(args[1]));
      try {
         LeftistHeap heap1 = readHeap(lines.next());
         LeftistHeap heap2 = readHeap(lines.next());
         heap1.merge(heap2);
         out.println(heap1 + "-" + heap1.nplStr());
      } finally {
         lines.close();
         out.close();
      }
   }

   private static LeftistHeap readHeap(String line) {
      LeftistHeap heap = new LeftistHeap();
      Scanner lineScanner = new Scanner(line);
      try {
         while (lineScanner.hasNext()) {
            heap.insert(lineScanner.nextInt());
         }
      } finally {
         lineScanner.close();
      }
      return heap;
   }
}
